Summary:	SVG rendering using Cairo
Summary(pl.UTF-8):	Renderowanie SVG przy użyciu Cairo
Name:		libsvg-cairo
Version:	0.1.6
Release:	10
License:	LGPL v2+
Group:		Libraries
Source0:	http://cairographics.org/snapshots/%{name}-%{version}.tar.gz
# Source0-md5:	d79da7b3a60ad8c8e4b902c9b3563047
Patch0:		%{name}-ac.patch
URL:		http://cairographics.org/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	cairo-devel >= 1.0.0
BuildRequires:	libsvg-devel >= 0.1.2
BuildRequires:	libtool
BuildRequires:	pkgconfig
Requires:	cairo >= 0.5.0
Requires:	libsvg >= 0.1.2
Obsoletes:	libxsvg
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
libxsvg provides the ability to render SVG content from files or
buffers. All rendering is performed using the Cairo rendering library
(formerly called Xr).

%description -l pl.UTF-8
libxsvg daje możliwość renderowania danych SVG z plików lub buforów.
Całość renderowania jest wykonywana przy użyciu biblioteki
renderującej Cairo (dawniej nazywanej Xr).

%package devel
Summary:	Header files for libxsvg library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki libxsvg
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	cairo-devel >= 0.5.0
Requires:	libsvg-devel >= 0.1.2
Obsoletes:	libxsvg-devel

%description devel
Header files for libxsvg library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki libxsvg.

%package static
Summary:	Static libxsvg library
Summary(pl.UTF-8):	Statyczna biblioteka libxsvg
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}
Obsoletes:	libxsvg-static

%description static
Static libxsvg library.

%description static -l pl.UTF-8
Statyczna biblioteka libxsvg.

%prep
%setup -q
%patch0 -p1

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__automake}
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} $RPM_BUILD_ROOT%{_libdir}/*.la

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README
%attr(755,root,root) %{_libdir}/libsvg-cairo.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libsvg-cairo.so.1

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libsvg-cairo.so
%{_includedir}/svg-cairo.h
%{_pkgconfigdir}/libsvg-cairo.pc

%files static
%defattr(644,root,root,755)
%{_libdir}/libsvg-cairo.a
%changelog
* Mon Mar 09 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/libsvg-cairo.git;a=log;h=master

* Mon Mar 09 2015 Jan Rękorajski <baggins@pld-linux.org> 8bdeec3
- release 10 (by relup.sh)

* Fri Jul 01 2011 lisu <lisu@pld-linux.org> cf5e611
- drop libtool file
- rel 9

* Sun Oct 31 2010 Jakub Bogusz <qboosh@pld-linux.org> d04a07b
- updated URL (xsvg.org is no longer valid)
- ghost soname symlink, more verbose files

* Wed May 13 2009 Jan Rękorajski <baggins@pld-linux.org> 5f6bb9b
- rel 8

* Sun Dec 07 2008 hawk <hawk@pld-linux.org> 8f77996
- fix building with recent autoconf/libtool

* Sun Dec 07 2008 hawk <hawk@pld-linux.org> 8810915
- fix for building with recent autoconf/libtool

* Sun Dec 07 2008 hawk <hawk@pld-linux.org> 1dd63a8
- release 6

* Sun Jul 27 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> efd33a5
- release 5

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> b5f7376
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 9ebdedf
- converted to UTF-8

* Sun Jul 09 2006 Paweł Sikora <pluto@pld-linux.org> ef277b5
- release 4 for kill libpng12.la deps.

* Mon Jun 19 2006 freetz <freetz@pld-linux.org> 12b634b
- rel.3

* Sun Oct 30 2005 Arkadiusz Miśkiewicz <arekm@maven.pl> 210d274
- rel 2

* Sun Aug 28 2005 Arkadiusz Miśkiewicz <arekm@maven.pl> 4ad4fae
- req final cairo

* Sun Jun 19 2005 Jakub Bogusz <qboosh@pld-linux.org> c118880
- don't include COPYING with a copy of LGPL text in doc

* Sun Jun 19 2005 Jakub Bogusz <qboosh@pld-linux.org> 79e533f
- License is LGPL now

* Sun Jun 19 2005 Jakub Bogusz <qboosh@pld-linux.org> 8e942a2
- updated to 0.1.6 (for cairo 0.5.0)

* Thu May 05 2005 Paweł Sikora <pluto@pld-linux.org> f432526
- release 2 for Th.

* Sat Feb 19 2005 Jakub Bogusz <qboosh@pld-linux.org> 3ea58ac
- updated to 0.1.5

* Tue Aug 17 2004 ankry <ankry@pld-linux.org> f3744f8
- rel. 3 to rebuild

